#
# Copyright (c) 2004, 2005 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%define coin_includedir %{_includedir}/Coin2
%define coin_htmldir %{_datadir}/Coin2

%define libopenal_SONAME libopenal.so.0
%define libsimage_SONAME libsimage.so.20
%define libfreetype_SONAME libfreetype.so.6

Summary: High-level 3D visualization library
Name: Coin2
Version: 2.4.3
Release: 1%{?dist}

License: GPL
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/Coin-%{version}.tar.gz

Patch0: coin-2.3.0-simage-soname.diff
Patch1: coin-2.3.0-openal-soname.diff
Patch2: coin-2.3.0-freetype-soname.diff
Patch3: Coin-2.4.3-simacros.diff.bz2
Patch4: Coin-2.4.3-libtool.diff.bz2
Patch5: coin-2.3.0-man3.diff

BuildRequires: xorg-x11-Mesa-libGL
BuildRequires: xorg-x11-Mesa-libGLU
BuildRequires: xorg-x11-devel
BuildRequires: zlib-devel bzip2-devel
BuildRequires: doxygen
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Coin is a 3D graphics library with an Application Programming Interface
based on the Open Inventor 2.1 API.

%package devel
Summary: Development files for Coin
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-devel zlib-devel bzip2-devel
Group: Development/Libraries

%description devel
Development package for Coin

%prep
%setup -q -n Coin-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

sed -i -e 's,@LIBFREETYPE_SONAME@,"%{libfreetype_SONAME}",' \
  src/glue/freetype.c
sed -i -e 's,@LIBSIMAGE_SONAME@,"%{libsimage_SONAME}",' \
  src/glue/simage_wrapper.c
sed -i -e 's,@LIBOPENAL_SONAME@,"%{libopenal_SONAME}",' \
  src/glue/openal_wrapper.c

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-dependency-tracking \
        --enable-shared \
	--disable-dl-libbzip2 \
	--disable-dl-glu \
	--disable-dl-zlib \
	--enable-man \
	--enable-html \
	--enable-3ds-import \
	htmldir=%{coin_htmldir}/Coin
make %{?_smp_mflags}

%install
   rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
   rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING README* LICENSE* THANKS FAQ*
%{_libdir}/libCoin.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{coin_includedir}
%{_libdir}/libCoin.*a
%{_libdir}/libCoin.so
%{_datadir}/aclocal/coin.m4
%dir %{_datadir}/Coin
%{_datadir}/Coin/conf
%{_datadir}/Coin/draggerDefaults
%{_mandir}/man?/*
%doc %{coin_htmldir}

%changelog
* Thu Jul 07 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.4.3-1
- Upstream update.

* Wed May 17 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.4.1-1
- Upstream update.

* Tue May 10 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-9
- Introduce %%{coin_includedir} %%{coin_htmldir}.
- Misc. spec cleanup.

* Fri May 06 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-8
- Use BR: xorg-x11-* instead of *.so.1 to work around rpm's brain-dead
  SONAME handling.

* Tue May 03 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-7
- Minor spec changes.

* Tue Feb 22  2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-5
- Include simacros.
- Regenerate configure from simacros and FC3 libtool for x86_64.
- Don't install bogusly generated manpages for dirs.

* Sun Jul 4  2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.4
- Let Coin-devel Require: bzip2-devel, zlib-devel.
- Use @XX@ patterns in soname sed calls.
- Remove Mesa from BuildRequires.

* Sat Jul 3  2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.3
- Disable run-time linkage for GLU, bzip2, zlib.
- Add SONAME-hacks to simage, openal, freetype.
- Enable static libs.

* Fri Jun 25 2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.2
- Fix package description.
- Initial submission to Fedora Extra.

* Thu Jun 24 2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.3.0-0.fdr.1
- Update to 2.3.0
- Install html docs to default installation dir (%%{_datadir}/html).
- Remove dependency to simage.
